int exgcd(int a,int b, int&x,int&y){
    if(b==0){
        x=1,y=0;
        return a;
    }
    int d = exgcd(b,a%b,x,y);
    int tempy{y};
    y=x-(a/b)*y;
    x=tempy;
    return d;
}

int main(){

}